<?php
include "../koneksi.php";

$id = $_POST['inc_id'];
$date_inc = $_POST['date_inc'];
$material = $_POST['material'];
$supplier = $_POST['supplier'];
$no_sj = $_POST['no_sj'];
$qty = $_POST['qty'];
$desc = $_POST['desc'];

if ($date_inc == '') {
    $data['error']['date_inc'] = 'Tanggal Plan tidak boleh kosong';
}
if ($material == '') {
    $data['error']['material'] = 'Material Tidak Boleh Kosong';
}
if ($supplier == '') {
    $data['error']['supplier'] = 'supplier Tidak Boleh Kosong';
}
if ($qty == '') {
    $data['error']['qty'] = 'Quantity Tidak Boleh Kosong';
}

		if (empty($data['error'])) {
			$query = "UPDATE incoming SET
										Date_Inc = '$date_inc',
                                        MaterialID = '$material',
										Supplier = '$supplier',
										No_SJ = '$no_sj',
										Qty_Inc = '$qty',
										`Desc` = '$desc'
											WHERE IncomingID = '$id'
											";

			mysqli_query($koneksi, $query)
			or die ("Gagal Perintah SQL".mysql_error());
			$data['hasil'] = 'sukses';
		} else {
			$data['hasil'] = 'gagal';
		}
		echo json_encode($data);

?>

